Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.client
Class LeaseRequestState

    java.lang.Object
      net.i2p.router.client.LeaseRequestState

     class LeaseRequestState

extends Object

Bundle up the data points necessary when asynchronously requesting a lease from a client

Constructor Summary
`LeaseRequestState(Job onGranted, Job onFailed, long expiration, LeaseSet requested)`

Method Summary
`long` | `getExpiration()` when the request for the lease set expires
`LeaseSet` | `getGranted()` created lease set from client
`boolean` | `getIsSuccessful()` whether the request was successful in the time allotted
`Job` | `getOnFailed()` what to do if the lease set create fails / times out
`Job` | `getOnGranted()` what to do once the lease set is created
`PrivateKey` | `getPrivateKey()` the private encryption key received regarding the lease set
`void` | `getPrivateKey(PrivateKey pk)`
`LeaseSet` | `getRequested()` lease set that is being requested
`SigningPrivateKey` | `getSigningPrivateKey()` the private signing key received regarding the lease set (for revocation)
`void` | `getSigningPrivateKey(SigningPrivateKey spk)`
`void` | `setGranted(LeaseSet ls)`
`void` | `setIsSuccessful(boolean is)`
`void` | `setOnFailed(Job jb)`
`void` | `setOnGranted(Job jb)`
`void` | `setRequested(LeaseSet ls)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LeaseRequestState

    public LeaseRequestState(Job onGranted,
                             Job onFailed,
                             long expiration,
                             LeaseSet requested)

Method Detail

### getGranted

    public LeaseSet getGranted()

  created lease set from client

### setGranted

    public void setGranted(LeaseSet ls)

### getRequested

    public LeaseSet getRequested()

  lease set that is being requested

### setRequested

    public void setRequested(LeaseSet ls)

### getPrivateKey

    public PrivateKey getPrivateKey()

  the private encryption key received regarding the lease set

### getPrivateKey

    public void getPrivateKey(PrivateKey pk)

### getSigningPrivateKey

    public SigningPrivateKey getSigningPrivateKey()

  the private signing key received regarding the lease set (for revocation)

### getSigningPrivateKey

    public void getSigningPrivateKey(SigningPrivateKey spk)

### getOnGranted

    public Job getOnGranted()

  what to do once the lease set is created

### setOnGranted

    public void setOnGranted(Job jb)

### getOnFailed

    public Job getOnFailed()

  what to do if the lease set create fails / times out

### setOnFailed

    public void setOnFailed(Job jb)

### getExpiration

    public long getExpiration()

  when the request for the lease set expires

### getIsSuccessful

    public boolean getIsSuccessful()

  whether the request was successful in the time allotted

### setIsSuccessful

    public void setIsSuccessful(boolean is)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD